Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FS#2750 - Wireless on Netgear WNDR3700v2 not working #7553

Open
openwrt-bot opened this issue Jan 18, 2020 · 2 comments
Open

FS#2750 - Wireless on Netgear WNDR3700v2 not working #7553

openwrt-bot opened this issue Jan 18, 2020 · 2 comments
Labels
flyspray release/19.07

Comments

@openwrt-bot
Copy link

@openwrt-bot openwrt-bot commented Jan 18, 2020

ender:

After upgrading my Netgear WNDR3700 v2 to 19.07 (ath79 target), the WiFi cards aren't detected.

Here are the outputs of [[http://p.0au.de/45f01c91/|dmesg]], [[http://p.0au.de/1b3e7547/|logread]], [[http://p.0au.de/469247eb/|lsmod | grep ath]], [[http://p.0au.de/1d229e27/|ls /sys/bus/pci/*]], [[http://p.0au.de/155a698e/|lspci -vnn]]; at the recommendation of PaulFertser in #openwrt, I tried //echo -n 168c ff1d > /sys/bus/pci/drivers/ath9k/new_id//, which resulted in some [[http://p.0au.de/89f3577a/|error messages in dmesg]], but the WiFi interfaces still aren't detected (wifi config produces an empty file).

With ar71xx target, wifi works; the cards seem to have a different [[PCI ID|http://p.0au.de/3393221e/]], too. [[http://p.0au.de/25099c95/|dmesg]], [[http://p.0au.de/a56c9e80/|logread]], [[http://p.0au.de/4abbf8e6/|ls /sys/bus/pci/*]].

@openwrt-bot
Copy link
Author

@openwrt-bot openwrt-bot commented Jan 18, 2020

ender:

More info: looks like ath79 failed because kmod-owl-loader wasn't included in my build (when I was building the firmware, I took my Archer C7 config and just changed the Target Profile to Netgear WNDR3700v2); with owl-loader the WiFi works fine.

@openwrt-bot
Copy link
Author

@openwrt-bot openwrt-bot commented Jul 8, 2020

adrianschmutzler:

So, can you please check whether the problem exists with our snapshot builds? There, kmod-owl-loader should be selected.

@aparcar aparcar added the release/19.07 label Feb 22, 2022
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
flyspray release/19.07
Projects
None yet
Development

No branches or pull requests

2 participants